using WinformGeneralDeveloperFrame.Commons;
namespace MES.Entity
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("sysUser")]
    public partial class sysUserInfo
    {
    [ModelBindControl("txtid")]
    [NoEdit("txtid")]
    public int id{set;get;}
    [ModelBindControl("txtaccount")]
    public string account{set;get;}
    [ModelBindControl("txtusername")]
    public string username{set;get;}

    [ModelBindControl("txtpassword")]
    public string password
    {
        set;
        get;
    } = MD5Utils.GetMD5_32("123456");
    [ModelBindControl("txtemail")]
    public string email{set;get;}
    [ModelBindControl("txtmobilephone")]
    public string mobilephone{set;get;}
    [ModelBindControl("txtdeptId")]
    public int deptId{set;get;}
    [ModelBindControl("txtisEnabled")]
    public bool isEnabled{set;get;}
    [ModelBindControl("txtcreatorId")]
    public int creatorId{set;get;}
    [ModelBindControl("txtcreateTime")]
    public DateTime? createTime{set;get;}=DateTime.Now;
    [ModelBindControl("txteditorId")]
    public int editorId{set;get;}
    [ModelBindControl("txteditTime")]
    public DateTime? editTime{set;get;}=DateTime.Now;
    
    }
}